Subject: RE: CVS install
From: "Jeff Jensen" <[email-masked]>
To: "'Charles S. Wilson'" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 21 Sep 2000 20:45:51 -0500

Thanks for the help Chuck and others...following the conversations the past
couple of days, my issue is I am setting it up on my laptop, which is a
Win95 machine - proven to not work!  Alas...

-----Original Message-----
From: Charles S. Wilson [mailto:[email-masked]]
Sent: Tuesday, September 19, 2000 11:18 PM
To: Jeff Jensen
Cc: [email-masked]
Subject: Re: CVS install

A couple of things:
  1) you have installed the gdbm package, right?
  2) when you 'deleted all' [in /cvs, I assume], did you also do a 'rm
.*' ?
  2) send a 'cygcheck -s -r -v' output to the list
  3) try 'strace cvs init' and see what that says...

The only time cvs tries to access (create) a file named ".#xxxxx" is
when it's making a backup of "xxxxx".  So, I'm very confused that 'cvs
init' is trying to backup a file called "1053" (or "1055" or "1063" --
whatever) after you 'deleted all'.

BTW, the following has happened several times on this list: are you
**SURE** you are running the cygwin version of cvs, and not a
windows-ish version installed somewhere else? What does 'which cvs'
show?  'cygcheck cvs.exe'?

--Chuck

Jeff Jensen wrote:
>
> Thanks Chuck, you are right, I just want to use the binaries.
>
> I did this:
>   export CVSROOT=/cvs
>   cvs init
>
> and received this error:
> cvs [init aborted]: cannot open dbm file .#1053 for creation: Permission
> denied
>
> Deleting all, setting umask 770, and trying again gives
> cvs [init aborted]: cannot open dbm file .#1055 for creation: Permission
> denied
>
> Setting CVSUMASK=770 just changed the filename to 1063.
>
> What permission do I need to solve or set first??
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Charles Wilson
> Sent: Tuesday, September 19, 2000 5:56 AM
> To: Jeff Jensen
> Cc: [email-masked]
> Subject: Re: CVS install
>
> Jeff,
>   CVS is included in the default cygwin install.  Most of your questions
> below deal with building CVS from its own source files; there is no need
> to do that unless you really want to.  (If you do want to build from
> source, then download cvs-1.10.8-X-src.tar.gz from a cygwin mirror,
> unpack, and follow the instructions in
> <cvs-src>/CYGWIN-PATCHES/cvs-1.10.8.README)
>
> To get started with CVS (after you've compiled it, or assuming you want
> to use the precompiled version installed with cygwin by default), do
> this:
>   export CVSROOT=<where you want your repository>
>   cvs init
>
> Then, follow the instructions in various online sources to see how you
> actually USE cvs.  Try:
> http://www.loria.fr/~molli/cvs/doc/cvs_toc.html
> http://www.loria.fr/~molli/fom-serve/cache/1.html
>
> --Chuck
>
> Jeff Jensen wrote:
> >
> > I am trying to learn and install CVS for the first time, and am feeling
a
> > bit overwhelmed.  I have a few basic questions...
> >
> > I am using the FAQ that came with the latest Cygwin (I just upgraded to
> > latest a couple of days ago), and it mentions having to install RCS.  Is
> RCS
> > included in the Cygwin net install, or need acquiring separately?  (I
did
> > not see anything in my Cygwin install, so I think I need to find it...)
> >
> > When the FAQ says "see 1B.4", etc., where is that?
> >
> > Is there a set of install directions for the CVS with Cygwin?  The FAQ
> > instructions talk about editing source and building, which is not what I
> > think I need to do with a distribution of binaries, but I do not know.
> Even
> > the README mentions needing to use source...
> >
> > Where & how do I get these files that the FAQ says to review:
> > "cvs/src/options.h" and "cvs/src/rcs.h" files, README, INSTALL and
> ChangeLog
> > files.
> > It is a pathetic question, but I have never done it!  I have only used
> > ClearCase and VSS in a networked environment, and a little CVS already
> > installed on a Unix system...
> >
> > Thank you for any pointers.
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]